aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/deployqtHelper_mac.sh
diff options
context:
space:
mode:
authorEike Ziller <eike.ziller@theqtcompany.com>2015-10-19 12:34:24 +0200
committerEike Ziller <eike.ziller@theqtcompany.com>2015-10-19 15:07:36 +0000
commit7fa6d5194260540de6f632fb93af5a2ba1e505c8 (patch)
treef5a6e37465298a4e029cd1a9e1d3fcd649d4f669 /scripts/deployqtHelper_mac.sh
parent51ed0da5a97b562ee2fe664bc3d4316f7ee65385 (diff)
Fix deployment of qml2puppet
The move to LIBEXEC_PATH broke running the puppet from the packages on Linux and OS X, because there it cannot find the platform plugin anymore. We need to add a qt.conf for it, and because Qt Creator.app/Contents/ Resources already contains the qt.conf for Qt Creator itself, the puppet must also move to its own subdirectory on OS X. Change-Id: I8e8cc48c49a01e10c7d7d3cc4c73020195cd5ca9 Reviewed-by: Thomas Hartmann <Thomas.Hartmann@digia.com>
Diffstat (limited to 'scripts/deployqtHelper_mac.sh')
-rwxr-xr-xscripts/deployqtHelper_mac.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/scripts/deployqtHelper_mac.sh b/scripts/deployqtHelper_mac.sh
index b864c98c1c9..5ddb9cb9e0a 100755
--- a/scripts/deployqtHelper_mac.sh
+++ b/scripts/deployqtHelper_mac.sh
@@ -46,6 +46,12 @@ if [ ! -f "$1/Contents/Resources/ios/qt.conf" ]; then
cp -f "$(dirname "${BASH_SOURCE[0]}")/../dist/installer/mac/ios_qt.conf" "$1/Contents/Resources/ios/qt.conf" || exit 1
fi
+# copy qml2puppet's qt.conf
+if [ ! -f "$1/Contents/Resources/qmldesigner/qt.conf" ]; then
+ echo "- Copying qmldesigner/qt.conf"
+ cp -f "$(dirname "${BASH_SOURCE[0]}")/../dist/installer/mac/qmldesigner_qt.conf" "$1/Contents/Resources/qmldesigner/qt.conf" || exit 1
+fi
+
# copy Qt translations
# check for known existing translation to avoid copying multiple times
if [ ! -f "$1/Contents/Resources/translations/qt_de.qm" ]; then
@@ -82,7 +88,7 @@ fi
if [ ! -d "$1/Contents/Frameworks/QtCore.framework" ]; then
- qml2puppetapp="$1/Contents/Resources/qml2puppet"
+ qml2puppetapp="$1/Contents/Resources/qmldesigner/qml2puppet"
if [ -f "$qml2puppetapp" ]; then
qml2puppetArgument="-executable=$qml2puppetapp"
fi